### Method

# Gom Repository find_sorted_sync

#### Declaration [src]

    GomResourceGroup*
    gom_repository_find_sorted_sync (
      GomRepository* repository,
      GType resource_type,
      GomFilter* filter,
      GomSorting* sorting,
      GError** error
    )

#### Description [src]

Synchronously queries the `GomRepository` for objects matching the requested query. This must only be run from a callback provided to gom_adapter_queue_read().

#### Parameters

`resource_type`

  Type: `GType`

  The `GType` of the resources to query.

`filter`

  Type: `GomFilter`

  An optional filter for the query.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`sorting`

  Type: `GomSorting`

  An optional `GomSorting` to order the query results.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GomResourceGroup`

A `GomResourceGroup` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.